libetonyek::IWORKTextStorageElement Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKTextStorageElement Class Reference

`#include <IWORKTextStorageElement.h>`

Inheritance diagram for libetonyek::IWORKTextStorageElement:

## Public Member Functions
| IWORKTextStorageElement (IWORKXMLParserState &state)
| IWORKTextStorageElement (IWORKXMLParserState &state, IWORKStylesheetPtr_t &mainMap)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
void | sendStylesheet ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Protected Attributes
IWORKStylesheetPtr_t * | m_stylesheet
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Private Member Functions
| IWORKTextStorageElement (IWORKTextStorageElement const &)
IWORKTextStorageElement & | operator= (IWORKTextStorageElement const &)

## Private Attributes
boost::optional< ID_t > | m_stylesheetId
bool | m_hasStylesheet

## Constructor & Destructor Documentation

## ◆ IWORKTextStorageElement() [1/3]

libetonyek::IWORKTextStorageElement::IWORKTextStorageElement | ( | IWORKXMLParserState & | state | ) |
| explicit

Referenced by IWORKTextStorageElement(), and operator=().

## ◆ IWORKTextStorageElement() [2/3]

libetonyek::IWORKTextStorageElement::IWORKTextStorageElement | ( | IWORKXMLParserState & | state,
|  | IWORKStylesheetPtr_t & | mainMap )

## ◆ IWORKTextStorageElement() [3/3]

libetonyek::IWORKTextStorageElement::IWORKTextStorageElement | ( | IWORKTextStorageElement const & |  | ) |
| private

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKTextStorageElement::element | ( | int | name | ) |
| overrideprotectedvirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

Reimplemented in libetonyek::PAG1TextStorageElement.

## ◆ endOfElement()

void libetonyek::IWORKTextStorageElement::endOfElement | ( |  | ) |
| overrideprotectedvirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

Reimplemented in libetonyek::PAG1TextStorageElement.

## ◆ operator=()

IWORKTextStorageElement & libetonyek::IWORKTextStorageElement::operator= | ( | IWORKTextStorageElement const & |  | ) |
| private

## ◆ sendStylesheet()

void libetonyek::IWORKTextStorageElement::sendStylesheet | ( |  | ) |
| protected

Referenced by element(), and libetonyek::PAG1TextStorageElement::element().

## Member Data Documentation

## ◆ m_hasStylesheet

bool libetonyek::IWORKTextStorageElement::m_hasStylesheet
| private

Referenced by endOfElement(), IWORKTextStorageElement(), IWORKTextStorageElement(), and sendStylesheet().

## ◆ m_stylesheet

IWORKStylesheetPtr_t* libetonyek::IWORKTextStorageElement::m_stylesheet
| protected

Referenced by IWORKTextStorageElement(), IWORKTextStorageElement(), and sendStylesheet().

## ◆ m_stylesheetId

boost::optional<ID_t> libetonyek::IWORKTextStorageElement::m_stylesheetId
| private

Referenced by element(), IWORKTextStorageElement(), IWORKTextStorageElement(), and sendStylesheet().

The documentation for this class was generated from the following files:

- IWORKTextStorageElement.h
- IWORKTextStorageElement.cpp